From 675020067b59575c3bef2185aad42f046ea0c83d Mon Sep 17 00:00:00 2001
From: Wade Cline <wadecline@hotmail.com>
Date: Mon, 3 Feb 2020 19:10:54 -0800
Subject: [PATCH] Fix build paths

---
 .../{ascii.conf.example => ascii.conf}        |  0
 .../{latin1.conf.example => latin1.conf}      |  2 +-
 .../{rfc1459.conf.example => rfc1459.conf}    |  0
 ...c1459.conf.example => strict-rfc1459.conf} |  0
 .../conf/{filter.conf.example => filter.conf} |  0
 .../conf/{helpop.conf.example => helpop.conf} |  0
 .../{inspircd.conf.example => inspircd.conf}  | 20 +++++++++----------
 docs/conf/{links.conf.example => links.conf}  |  2 +-
 .../{modules.conf.example => modules.conf}    | 20 +++++++++----------
 docs/conf/{motd.txt.example => motd.txt}      |  2 +-
 .../{opermotd.txt.example => opermotd.txt}    |  2 +-
 docs/conf/{opers.conf.example => opers.conf}  |  2 +-
 .../{irccloud.conf.example => irccloud.conf}  |  0
 docs/conf/{quotes.txt.example => quotes.txt}  |  0
 .../{anope.conf.example => anope.conf}        |  2 +-
 .../{atheme.conf.example => atheme.conf}      |  2 +-
 .../{generic.conf.example => generic.conf}    |  0
 make/template/main.mk                         | 19 +++++++++---------
 18 files changed, 36 insertions(+), 37 deletions(-)
 rename docs/conf/codepages/{ascii.conf.example => ascii.conf} (100%)
 rename docs/conf/codepages/{latin1.conf.example => latin1.conf} (97%)
 rename docs/conf/codepages/{rfc1459.conf.example => rfc1459.conf} (100%)
 rename docs/conf/codepages/{strict-rfc1459.conf.example => strict-rfc1459.conf} (100%)
 rename docs/conf/{filter.conf.example => filter.conf} (100%)
 rename docs/conf/{helpop.conf.example => helpop.conf} (100%)
 rename docs/conf/{inspircd.conf.example => inspircd.conf} (99%)
 rename docs/conf/{links.conf.example => links.conf} (98%)
 rename docs/conf/{modules.conf.example => modules.conf} (99%)
 rename docs/conf/{motd.txt.example => motd.txt} (96%)
 rename docs/conf/{opermotd.txt.example => opermotd.txt} (96%)
 rename docs/conf/{opers.conf.example => opers.conf} (99%)
 rename docs/conf/providers/{irccloud.conf.example => irccloud.conf} (100%)
 rename docs/conf/{quotes.txt.example => quotes.txt} (100%)
 rename docs/conf/services/{anope.conf.example => anope.conf} (86%)
 rename docs/conf/services/{atheme.conf.example => atheme.conf} (98%)
 rename docs/conf/services/{generic.conf.example => generic.conf} (100%)

diff --git a/docs/conf/codepages/ascii.conf.example b/docs/conf/codepages/ascii.conf
similarity index 100%
rename from docs/conf/codepages/ascii.conf.example
rename to docs/conf/codepages/ascii.conf
diff --git a/docs/conf/codepages/latin1.conf.example b/docs/conf/codepages/latin1.conf
similarity index 97%
rename from docs/conf/codepages/latin1.conf.example
rename to docs/conf/codepages/latin1.conf
index 3beb002fd..f5c6b98dc 100644
--- a/docs/conf/codepages/latin1.conf.example
+++ b/docs/conf/codepages/latin1.conf
@@ -39,4 +39,4 @@
 <cpcase lower="222" upper="254"> # þ => Þ
 
 # Include the ASCII rules to avoid duplication.
-<include file="examples/codepages/ascii.conf.example">
+<include file="/etc/inspircd/codepages/ascii.conf">
diff --git a/docs/conf/codepages/rfc1459.conf.example b/docs/conf/codepages/rfc1459.conf
similarity index 100%
rename from docs/conf/codepages/rfc1459.conf.example
rename to docs/conf/codepages/rfc1459.conf
diff --git a/docs/conf/codepages/strict-rfc1459.conf.example b/docs/conf/codepages/strict-rfc1459.conf
similarity index 100%
rename from docs/conf/codepages/strict-rfc1459.conf.example
rename to docs/conf/codepages/strict-rfc1459.conf
diff --git a/docs/conf/filter.conf.example b/docs/conf/filter.conf
similarity index 100%
rename from docs/conf/filter.conf.example
rename to docs/conf/filter.conf
diff --git a/docs/conf/helpop.conf.example b/docs/conf/helpop.conf
similarity index 100%
rename from docs/conf/helpop.conf.example
rename to docs/conf/helpop.conf
diff --git a/docs/conf/inspircd.conf.example b/docs/conf/inspircd.conf
similarity index 99%
rename from docs/conf/inspircd.conf.example
rename to docs/conf/inspircd.conf
index cdfb6f3c2..f0d17ceff 100644
--- a/docs/conf/inspircd.conf.example
+++ b/docs/conf/inspircd.conf
@@ -242,7 +242,7 @@
 # This can be done by using <connect registered="no">                 #
 
 # To enable IRCCloud on your network uncomment this:
-#<include file="examples/providers/irccloud.conf.example">
+#<include file="/etc/inspircd/providers/irccloud.conf">
 
 # A connect class with <connect:deny> set denies connections from the specified host/IP range.
 <connect
@@ -494,11 +494,11 @@
 
 # This file has all the information about oper classes, types and o:lines.
 # You *MUST* edit it.
-#<include file="examples/opers.conf.example">
+#<include file="/etc/inspircd/opers.conf">
 
 # This file has all the information about server links and ulined servers.
 # You *MUST* edit it if you intend to link servers.
-#<include file="examples/links.conf.example">
+#<include file="/etc/inspircd/links.conf">
 
 #-#-#-#-#-#-#-#-#-#-  MISCELLANEOUS CONFIGURATION  -#-#-#-#-#-#-#-#-#-#
 #                                                                     #
@@ -507,7 +507,7 @@
 #
 #   motd - displayed on connect and when a user executes /MOTD
 # Modules can also define their own files
-<files motd="examples/motd.txt.example">
+<files motd="/etc/inspircd/motd.txt">
 
 # Example of an executable file include. Note this will be read on rehash,
 # not when the command is run.
@@ -543,7 +543,7 @@
 # default of 'inspircd.pid' is used.                                  #
 #                                                                     #
 
-#<pid file="/path/to/inspircd.pid">
+#<pid file="/var/run/inspircd/inspircd.pid">
 
 #-#-#-#-#-#-#-#-#-#-#-#-#- LIST MODE LIMITS #-#-#-#-#-#-#-#-#-#-#-#-#-#
 #                                                                     #
@@ -698,7 +698,7 @@
          #  - topiclock       Channel mode +t - limits changing the topic to (half)ops
          # You can also configure this on a per-channel basis with a channel mode and
          # even negate the configured exemptions below.
-         # See exemptchanops in modules.conf.example for more details.
+         # See exemptchanops in modules.conf for more details.
          exemptchanops="censor:o filter:o nickflood:o nonick:v regmoderated:o"
 
          # invitebypassmodes: This allows /INVITE to bypass other channel modes.
@@ -1041,7 +1041,7 @@
 # provide almost all the features of InspIRCd. :)                     #
 #                                                                     #
 # The default does nothing -- we include it for simplicity for you.   #
-#<include file="examples/modules.conf.example">
+#<include file="/etc/inspircd/modules.conf">
 
 #-#-#-#-#-#-#-#-#-#-#-# SERVICES CONFIGURATION  #-#-#-#-#-#-#-#-#-#-#-#
 #                                                                     #
@@ -1050,13 +1050,13 @@
 # exemptions for services pseudoclients:                              #
 #
 # Anope users should uncomment this:
-#<include file="examples/services/anope.conf.example">
+#<include file="/etc/inspircd/aliases/anope.conf">
 #
 # Atheme users should uncomment this:
-#<include file="examples/services/atheme.conf.example">
+#<include file="/etc/inspircd/aliases/atheme.conf">
 #
 # Users of other services should uncomment this:
-#<include file="examples/services/generic.conf.example">
+#<include file="/etc/inspircd/aliases/generic.conf">
 
 #########################################################################
 #                                                                       #
diff --git a/docs/conf/links.conf.example b/docs/conf/links.conf
similarity index 98%
rename from docs/conf/links.conf.example
rename to docs/conf/links.conf
index 3b25e86f4..1208253a6 100644
--- a/docs/conf/links.conf.example
+++ b/docs/conf/links.conf
@@ -143,4 +143,4 @@
 
 # Once you have edited this file you can remove this line. This is just to
 # ensure that you don't hastily include the file without reading it.
-<die reason="Using links.conf.example without editing it is a security risk">
+<die reason="Using links.conf without editing it is a security risk">
diff --git a/docs/conf/modules.conf.example b/docs/conf/modules.conf
similarity index 99%
rename from docs/conf/modules.conf.example
rename to docs/conf/modules.conf
index d236d6cb9..8c80c5352 100644
--- a/docs/conf/modules.conf.example
+++ b/docs/conf/modules.conf
@@ -617,10 +617,10 @@
 #<module name="codepage">
 #
 # You should include one of the following files to set your codepage:
-#<include file="examples/codepages/ascii.conf.example">
-#<include file="examples/codepages/latin1.conf.example">
-#<include file="examples/codepages/rfc1459.conf.example">
-#<include file="examples/codepages/strict-rfc1459.conf.example">
+#<include file="/etc/inspircd/codepages/ascii.conf">
+#<include file="/etc/inspircd/codepages/latin1.conf">
+#<include file="/etc/inspircd/codepages/rfc1459.conf">
+#<include file="/etc/inspircd/codepages/strict-rfc1459.conf">
 #
 # You can also define a custom codepage. For details on how to do this
 # please refer to the docs site:
@@ -904,7 +904,7 @@
 # anticaps, auditorium-see, auditorium-vis, blockcaps, blockcolor,    #
 # censor, filter, flood, nickflood, noctcp, nonick, nonotice,         #
 # regmoderated, stripcolor, and topiclock.                            #
-# See <options:exemptchanops> in inspircd.conf.example for a more     #
+# See <options:exemptchanops> in inspircd.conf for a more             #
 # detailed list of the restriction modes that can be exempted.        #
 # These are settable using: /MODE #chan +X <restriction>:<status>     #
 # Furthermore, the exemptions configured in <options:exemptchanops>   #
@@ -942,7 +942,7 @@
 # Your choice of regex engine must match on all servers network-wide. #
 #                                                                     #
 # To learn more about the configuration of this module, read          #
-# examples/filter.conf.example, which covers the various types of     #
+# filter.conf, which covers the various types of                      #
 # filters and shows how to add exemptions.                            #
 #                                                                     #
 #-#-#-#-#-#-#-#-#-#-#-  FILTER  CONFIGURATION  -#-#-#-#-#-#-#-#-#-#-#-#
@@ -951,7 +951,7 @@
 # specify below the path to the filter.conf file, or define some      #
 # <keyword> tags.                                                     #
 #                                                                     #
-#<include file="examples/filter.conf.example">
+#<include file="/etc/inspircd/filter.conf">
 
 #-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#
 # Flash Policy Daemon module: Allows Flash IRC clients (e.g. LightIRC)#
@@ -1041,7 +1041,7 @@
 # If you specify to use the helpop module, then specify below the     #
 # path to the helpop.conf file.                                       #
 #                                                                     #
-#<include file="examples/helpop.conf.example">
+#<include file="/etc/inspircd/helpop.conf">
 
 #-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#
 # Hide chans module: Allows users to hide their channels list from non-
@@ -1646,7 +1646,7 @@
 # onoper        - If on, the message is sent on /OPER, otherwise it's #
 #                 only sent when /OPERMOTD is used.                   #
 #                                                                     #
-#<opermotd file="examples/opermotd.txt.example" onoper="yes">
+#<opermotd file="/etc/inspircd/opermotd.txt" onoper="yes">
 
 #-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#
 # Override module: Adds support for oper override.
@@ -2260,7 +2260,7 @@
 # connections in order to oper up. It is highly recommended to load
 # this module if you use TLS (SSL) on your network.
 # For how to use the oper features, please see the first
-# example <oper> tag in opers.conf.example.
+# example <oper> tag in opers.conf.
 #
 #<module name="sslinfo">
 #
diff --git a/docs/conf/motd.txt.example b/docs/conf/motd.txt
similarity index 96%
rename from docs/conf/motd.txt.example
rename to docs/conf/motd.txt
index cd993e9a3..0687a8aa0 100644
--- a/docs/conf/motd.txt.example
+++ b/docs/conf/motd.txt
@@ -21,7 +21,7 @@
         \__/  /(_/     \__/
           (__/
 
-      +---- To change this see \bmotd.txt.example\x ----+
+      +---- To change this see \bmotd.txt        \x ----+
       |                                             |
       |   * \bWeb:\x https://www.inspircd.org           |
       |   * \bIRC:\x irc.inspircd.org #inspircd         |
diff --git a/docs/conf/opermotd.txt.example b/docs/conf/opermotd.txt
similarity index 96%
rename from docs/conf/opermotd.txt.example
rename to docs/conf/opermotd.txt
index b0d9b4816..b0d37f385 100644
--- a/docs/conf/opermotd.txt.example
+++ b/docs/conf/opermotd.txt
@@ -21,7 +21,7 @@
         \__/  /(_/     \__/
           (__/
 
-      +-- To change this see \bopermotd.txt.example\x --+
+      +-- To change this see \bopermotd.txt        \x --+
       |                                             |
       |   * \bWeb:\x https://www.inspircd.org           |
       |   * \bIRC:\x irc.inspircd.org #inspircd         |
diff --git a/docs/conf/opers.conf.example b/docs/conf/opers.conf
similarity index 99%
rename from docs/conf/opers.conf.example
rename to docs/conf/opers.conf
index d8c266b1f..9517b3685 100644
--- a/docs/conf/opers.conf.example
+++ b/docs/conf/opers.conf
@@ -182,4 +182,4 @@
 
 # Once you have edited this file you can remove this line. This is just to
 # ensure that you don't hastily include the file without reading it.
-<die reason="Using opers.conf.example without editing it is a security risk">
+<die reason="Using opers.conf without editing it is a security risk">
diff --git a/docs/conf/providers/irccloud.conf.example b/docs/conf/providers/irccloud.conf
similarity index 100%
rename from docs/conf/providers/irccloud.conf.example
rename to docs/conf/providers/irccloud.conf
diff --git a/docs/conf/quotes.txt.example b/docs/conf/quotes.txt
similarity index 100%
rename from docs/conf/quotes.txt.example
rename to docs/conf/quotes.txt
diff --git a/docs/conf/services/anope.conf.example b/docs/conf/services/anope.conf
similarity index 86%
rename from docs/conf/services/anope.conf.example
rename to docs/conf/services/anope.conf
index 5c8f859ff..69a1ab50a 100644
--- a/docs/conf/services/anope.conf.example
+++ b/docs/conf/services/anope.conf
@@ -2,7 +2,7 @@
 # by Anope. See https://www.anope.org for more information on Anope.
 
 # This file inherits from the generic config to avoid repetition.
-<include file="examples/services/generic.conf.example">
+<include file="/etc/inspircd/services/generic.conf">
 
 # /GLOBAL <message>
 # Sends a global notice.
diff --git a/docs/conf/services/atheme.conf.example b/docs/conf/services/atheme.conf
similarity index 98%
rename from docs/conf/services/atheme.conf.example
rename to docs/conf/services/atheme.conf
index d509522b8..c1e906ff7 100644
--- a/docs/conf/services/atheme.conf.example
+++ b/docs/conf/services/atheme.conf
@@ -3,7 +3,7 @@
 # information on Atheme.
 
 # This file inherits from the generic config to avoid repetition.
-<include file="examples/services/generic.conf.example">
+<include file="/etc/inspircd/services/generic.conf">
 
 # Long hand aliases for services pseudoclients.
 <alias text="ALIS"      replace="SQUERY $requirement :$2-" requires="ALIS"      uline="yes">
diff --git a/docs/conf/services/generic.conf.example b/docs/conf/services/generic.conf
similarity index 100%
rename from docs/conf/services/generic.conf.example
rename to docs/conf/services/generic.conf
diff --git a/make/template/main.mk b/make/template/main.mk
index a8783aa05..de9bbaa4e 100644
--- a/make/template/main.mk
+++ b/make/template/main.mk
@@ -214,10 +214,10 @@ install: target
 	@-$(INSTALL) -d -g @GID@ -o @UID@ -m $(INSTMODE_DIR) $(BINPATH)
 	@-$(INSTALL) -d -g @GID@ -o @UID@ -m $(INSTMODE_DIR) $(CONPATH)
 	@-$(INSTALL) -d -g @GID@ -o @UID@ -m $(INSTMODE_DIR) $(DATPATH)
-	@-$(INSTALL) -d -g @GID@ -o @UID@ -m $(INSTMODE_DIR) $(EXAPATH)/codepages
-	@-$(INSTALL) -d -g @GID@ -o @UID@ -m $(INSTMODE_DIR) $(EXAPATH)/providers
-	@-$(INSTALL) -d -g @GID@ -o @UID@ -m $(INSTMODE_DIR) $(EXAPATH)/services
-	@-$(INSTALL) -d -g @GID@ -o @UID@ -m $(INSTMODE_DIR) $(EXAPATH)/sql
+	@-$(INSTALL) -d -g @GID@ -o @UID@ -m $(INSTMODE_DIR) $(CONPATH)/codepages
+	@-$(INSTALL) -d -g @GID@ -o @UID@ -m $(INSTMODE_DIR) $(CONPATH)/providers
+	@-$(INSTALL) -d -g @GID@ -o @UID@ -m $(INSTMODE_DIR) $(CONPATH)/services
+	@-$(INSTALL) -d -g @GID@ -o @UID@ -m $(INSTMODE_DIR) $(CONPATH)/sql
 	@-$(INSTALL) -d -g @GID@ -o @UID@ -m $(INSTMODE_DIR) $(LOGPATH)
 	@-$(INSTALL) -d -g @GID@ -o @UID@ -m $(INSTMODE_DIR) $(MANPATH)
 	@-$(INSTALL) -d -g @GID@ -o @UID@ -m $(INSTMODE_DIR) $(MODPATH)
@@ -238,11 +238,11 @@ endif
 	-$(INSTALL) -g @GID@ -o @UID@ -m $(INSTMODE_TXT) @CONFIGURE_DIRECTORY@/inspircd-testssl.1 $(MANPATH) 2>/dev/null
 	-$(INSTALL) -g @GID@ -o @UID@ -m $(INSTMODE_BIN) tools/genssl $(BINPATH)/inspircd-genssl 2>/dev/null
 	-$(INSTALL) -g @GID@ -o @UID@ -m $(INSTMODE_BIN) tools/testssl $(BINPATH)/inspircd-testssl 2>/dev/null
-	-$(INSTALL) -g @GID@ -o @UID@ -m $(INSTMODE_TXT) docs/conf/*.example $(EXAPATH)
-	-$(INSTALL) -g @GID@ -o @UID@ -m $(INSTMODE_TXT) docs/conf/codepages/*.example $(EXAPATH)/codepages
-	-$(INSTALL) -g @GID@ -o @UID@ -m $(INSTMODE_TXT) docs/conf/providers/*.example $(EXAPATH)/providers
-	-$(INSTALL) -g @GID@ -o @UID@ -m $(INSTMODE_TXT) docs/conf/services/*.example $(EXAPATH)/services
-	-$(INSTALL) -g @GID@ -o @UID@ -m $(INSTMODE_TXT) docs/sql/*.sql $(EXAPATH)/sql
+	-$(INSTALL) -g @GID@ -o @UID@ -m $(INSTMODE_TXT) docs/conf/*.{conf,txt} $(CONPATH)
+	-$(INSTALL) -g @GID@ -o @UID@ -m $(INSTMODE_TXT) docs/conf/codepages/* $(CONPATH)/codepages
+	-$(INSTALL) -g @GID@ -o @UID@ -m $(INSTMODE_TXT) docs/conf/providers/* $(CONPATH)/providers
+	-$(INSTALL) -g @GID@ -o @UID@ -m $(INSTMODE_TXT) docs/conf/services/* $(CONPATH)/services
+	-$(INSTALL) -g @GID@ -o @UID@ -m $(INSTMODE_TXT) docs/sql/*.sql $(CONPATH)/sql
 	-$(INSTALL) -g @GID@ -o @UID@ -m $(INSTMODE_TXT) @CONFIGURE_DIRECTORY@/help.txt $(CONPATH)
 	-$(INSTALL) -g @GID@ -o @UID@ -m $(INSTMODE_PRV) @CONFIGURE_DIRECTORY@/*.pem $(CONPATH) 2>/dev/null
 	@echo ""
@@ -256,7 +256,6 @@ endif
 	@echo '  Data:' $(DATPATH)
 	@echo 'To start the ircd, run:' $(SCRPATH)/inspircd start
 	@echo 'Remember to create your config file:' $(CONPATH)/inspircd.conf
-	@echo 'Examples are available at:' $(EXAPATH)
 
 GNUmakefile: make/template/main.mk src/version.sh configure @CONFIGURE_CACHE_FILE@
 	./configure --update
-- 
2.26.2

